# Import and process the data following stordat.gpr
dt <- matrix(read.table("a530875.asc")$V1, nrow = 128)
n <- 90
omax <- 450000
ov1 <- dt[6, ] # mileage at 1st replacement, if applicable
ov2 <- dt[9, ] # mileage at 2nd replacement, if applicable
nr <- nrow(dt)
m <- ncol(dt)
mil <- dt[13:nr, ] - dt[12:(nr-1), ]
dtc <- matrix(0, nrow = nr-11, ncol = m)
dtx <- matrix(0, nrow = nr-11, ncol = m)
for(i in 1:m){
  dtc[, i] <- (dt[12:nr, i] >= ov1[i]) * (ov1[i] > 0) + (dt[12:nr, i] >= ov2[i]) * (ov2[i] > 0)
  dtx[, i] <- dt[12:nr, i] + ov1[i] * dtc[, i] * (dtc[, i] - 2) - 0.5 * ov2[i] * dtc[, i] * (dtc[, i] - 1)
}
dtx <- ceiling(n * dtx / omax)
dtc <- rbind((dtc[2:(nr-11), ] - dtc[1:(nr-12), ]), matrix(0, 1, m))
mil <- (dtx[2:(nr-11), ] - dtx[1:(nr-12), ]) + dtx[1:(nr-12), ] * dtc[1:(nr-12), ]
save(file = "a530875.RData", dtx, dtc, mil)
